@import './base.css';

a,
.green {
  text-decoration: none;
  color: hsla(160, 100%, 37%, 1);
  transition: 0.4s;
  padding: 3px;
}

@media (hover: hover) {
  a:hover {
    background-color: hsla(160, 100%, 37%, 0.2);
  }
}

#app {
  max-width: 80rem;
  margin-inline: auto;
  padding-inline: 2rem;
}

h1, h2, p {
  margin-bottom: 1em;
}

h1 {
  font-size: 3rem;
  font-weight: bold;
}

h2 {
  margin-top: 2em;
  border-inline-start: 5px solid;
  padding-inline-start: .5em;
  line-height: 1;
  text-transform: capitalize;
}

pre {
  font-size: .8rem;
  background: var(--color-background-mute);
  padding: 1em;
  margin-block: 2rem;
}

ul, ol {
  figure,
  pre {
    margin-block: 1em;
  }
}